Subject: bug#746: Killed when starting modale dialog like pinentry

From: Mark Hindley <[email-masked]>
Date: Mon, 6 Mar 2023 19:31:09 +0000

On Mon, Mar 06, 2023 at 07:09:38PM +0100, Klaus Ethgen wrote:
> > If you run it from an xterminal do you get anything on stdout? I suspect it is
> > producing a fatal exception in a library.
> 
> I would like to but it kills X immediately.

OK. But we need some sort of error message to get a hint of what is going on.

 ~/.xsession-errors
 /var/log/syslog
 What eveer wdm logs to?

I know you dpkg-divert some libraries. So does

 ldd $(which pinentry-qt)

show any libraries you don't expect in the ldconfig path?

Mark